
.main {
    width: 100% !important;
    height: 100% !important;
    overflow: hidden;
    background-color: #201C1C;
}
.content {
    width: 100%;
    height: 100%;
    background-color: #201C1C;
    overflow: hidden;
}

.preview {
    max-height: 100%;
    max-width: 100%;
    height: 100%;
    width: 100%;
    background-color: #201C1C;
    overflow: hidden;
}
.gallery-view {
    /*height: 100%;
    width: 100%;*/
}

.my-preview {
    text-align: center;
    max-height: 262px;
    width: 350px;
    max-width: 350px;
    background-color: #000000;
    position: relative;
}

.my-preview video {
    max-height: 262px !important;
}

.all-preview {
    height: 100%;
    padding-bottom: 40px;
    overflow-x: hidden;
    overflow-y: auto;
}


.preview video {
    width: 100vh !important;
    height: 100vh !important;
    background-color: #201C1C;
    object-fit: cover;
}
.example-spacer {
    flex: 1 1 auto;
}

.endEvent button {
    text-align: right;
    margin: auto;
}

.sidenav {
    width: 273px;
    background-color: white;
    color: black;
    overflow-y: hidden
}

.count {
    margin: 0;
    padding: 0;
    color: white;
    font-size: 10px;
}

.sidenav a {
    color: black;
    font-size: 16px;
}

mat-sidenav-container {
    height: 100%;
    width: 100%;
}

#bottomBar {
    height: 300px;
    position: fixed;
    background: transparent;
    bottom: 0;
    left: 0;
    right: 0;
    z-index: 5;
}

#bottomBar .mat-toolbar {
    height: 100px;
    background: rgba(0, 0, 0, 0.81);
    position: fixed;
    bottom: 0;
    left: 0;
    right: 0;
    z-index: 5;
    vertical-align: center;
    box-shadow: 0 1px 3px rgba(0, 0, 0, 0.12);
    -webkit-box-shadow: 0 1px 3px rgba(0, 0, 0, 0.12);
    transition: all 0.4s ease 0s;
    -moz-transition: all 0.4s ease 0s;
    -webkit-transition: all 0.4s ease 0s;
    -o-transition: all 0.4s ease 0s;
}


.input {
    width: 100%;
    position: fixed;
    bottom: 0;
    left: 0;
    right: 0;
    z-index: 998;
}

.joining {
    position: absolute;
    left: 0;
    right: 0;
}

mat-sidenav {
    min-width: 300px;
}

a {
    text-decoration: none;
}

.only {
    height: 100%;
    width: 100%;
    font-size: 16px;
    text-align: center;
    color: white;
}

button {
    background-color: transparent;
    border: transparent;
    color: #D75B5E;
}

.content a {
    margin-top: 20px;
    margin-left: 20px;
    font-size: 10px;
    line-height: 12px;
    color: #FFFFFF;
}

.mat-button {
    background-color: transparent;
    text-align: center;
    color: #fff;
    font-size: 12px;
    font-weight: 500;
}

.info-room {
    width: 562px;
    height: 282px;
    position: absolute;
    left: 43px;
    top: 127px;
    background: #1F2226;
}

.info-room a {
    text-align: right;
    font-weight: normal;
    font-size: 12px;
    line-height: 14px;
    color: #FFFFFF;
}

.info-room p {
    font-weight: normal;
    font-size: 14px;
    line-height: 16px;
    color: rgba(255, 255, 255, 0.57);
}

/*settings*/

button > i {
    padding-right: 6px;
}

label {
    font-size: 1.25rem;
}

.icon-on {
    cursor: pointer;
    color: #FFFFFF;
}

.icon-off {
    cursor: pointer;
    color: #D75B5E;
}

.active-action {
    color: #D75B5E;
}

.inactive-action {
    color: #ffffff;
}

.btn-end {
    margin-right: 10px;
    color: #D75B5E;
    padding-left: 30px;
    padding-right: 30px;
    background-color: rgba(153, 153, 153, 0.1);
}

.btn-end:active {
    color: #FFFFFF;
    background-color: #D75B5E;
}

.btn-connect {
    color: #D75B5E;
    padding-left: 30px;
    padding-right: 30px;
}

.btn-connect:hover {
    color: #FFFFFF;
    background-color: #7DC094;
}


.name {
    font-style: normal;
    font-weight: 500;
    font-size: 14px;
    line-height: 16px;
    margin-top: auto;
    margin-bottom: auto;
    color: rgba(31, 34, 38, 0.77);
}

.room-info {
    z-index: 5;
    position: absolute;
    left: 40px;
    top: 10px;
    background: rgba(0, 0, 0, 0.21);
}

.room-info:hover, .toggle-actions:hover {
    color: #D75B5E;
}

.room-details {
    z-index: 5;
    position: absolute;
    max-width: 562px;
    min-height: 250px;
    left: 20px;
    bottom: 110px;
    border-radius: 5px;
    background: rgba(0, 0, 0, 0.81);
}

.label-details {
    font-style: normal;
    font-weight: normal;
    font-size: 14px;
    line-height: 16px;
    color: rgba(255, 255, 255, 0.57);
}

.value-details {
    font-style: normal;
    font-weight: normal;
    font-size: 14px;
    line-height: 16px;
    color: #FFFFFF;
}

.copy {
    margin-left: 20px;
    font-size: 14px;
    line-height: 16px;
    color: #FFFFFF;
    cursor: pointer;
}

.copy:hover {
    font-size: 16px;
    color: #D75B5E;
}

.toggle-actions {
    position: absolute;
    height: 35px;
    right: 20px;
    top: 10px;
    color: white;
    z-index: 5;
    background-color: transparent;
}

.name-user {
    position: absolute;
    top: 8px;
    left: 0;
    margin: 0;
    padding: 0.5em 0.5em 0.5em 2em;
    background: rgba(242, 47, 70, 0.8);
    color: #fff;
    font-size: 16px;
    line-height: 1;
}

.preview-small {
    position: absolute;
    width: 100%;
    max-width: 335px;
    overflow: hidden;
    right: 20px;
    top: 50px;
    bottom: 0;
    z-index: 5;
    background-color: transparent;
    border-radius: 6px;
}

.preview-small-md {
    position: absolute;
    max-width: 190px;
    width: 100%;
    overflow: hidden;
    right: 20px;
    top: 50px;
    bottom: 0;
    z-index: 5;
    background-color: transparent;
    border-radius: 6px;
}

.preview-small-sm {
    position: absolute;
    max-width: 100px;
    width: 100%;
    overflow: hidden;
    right: 20px;
    top: 50px;
    bottom: 0;
    z-index: 5;
    background-color: transparent;
    border-radius: 6px;
}

.max-min {
    background: rgba(255, 255, 255, 0.6);
    backdrop-filter: blur(40px);
}

.preview-small button {
    color: #000000;
}

.preview-small button:hover {
    color: #D75B5E;
}

.full-screen {
    background: rgba(0, 0, 0, 0.37);
    margin-left: 2px;
}

.view-layout {
    background: rgba(0, 0, 0, 0.37);
}

.show {
    display: flex;
}

.hide {
    display: none;
}

.avatar {
    width: 28px;
    height: 28px;
    left: 1167px;
    top: 137px;
    text-transform: uppercase;
    color: white;
    font-weight: bold;
    font-size: 12px;
    line-height: 28px;
    border-radius: 14px;
    background: #667580;
    text-align: center;
    margin-top: auto;
    margin-bottom: auto;
}
.search {
    line-height: 28px;
    background: #F5F8FA;
    border: 1px solid #E6ECF0;
}

.user-identity {
    font-style: normal;
    font-weight: 500;
    font-size: 14px;
    margin: auto 20px auto 10px;
    text-transform: capitalize;
    line-height: 16px;
    color: rgba(31, 34, 38, 0.77);
}

.full-screen-bar {
    position: absolute;
    left: 0;
    right: 0;
    top: 50px;
    margin: auto;
    width: 30%;
    height: 100px;
    background-color: transparent;
}

.full-screen-bar-items {
    border-radius: 10px;
    background: rgba(0, 0, 0, 0.81);
}


.closeInfo {
    margin-top: 5px;
    margin-right: 5px;
    cursor: pointer;
    color: white;
}

.mat-menu-item {
    color: black;
}

.hidden {
    display: none !important;
}
